import processing.core.*;

public class Animation {
  PImage[] images;
  int imageCount;
  int frame;
  PApplet parent;
  
  Animation(String imagePrefix, int count, PApplet parent) {
    imageCount = count;
    images = new PImage[imageCount];
    this.parent = parent; 

    for (int i = 0; i < imageCount; i++) {
      // Use nf() to number format 'i' into four digits
      String filename = imagePrefix + PApplet.nf(i, 4) + ".gif";
      images[i] = parent.loadImage(filename);
    }
  }

  void advanceFrame() {
    frame = (frame+1) % imageCount;    
  }

  void display(float xpos, float ypos) {
    parent.image(images[frame], xpos, ypos);
  }
  
  PImage getImage() {
    return images[frame];  
  }
  
  int getWidth() {
    return images[0].width;
  }
}
